optic-distribution-system2/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@index');

Auth::routes();
//Route User
Route::get('/User/datatable', 'UserController@datatable')->middleware('auth');

//Route Category
Route::get('/Category/datatable', 'CategoryController@datatable')->middleware('auth');
Route::patch('/Category/json', 'CategoryController@getItemJson')->middleware('auth');
Route::get('/Category/jsonSelect', 'CategoryController@getItemJsonSelect2')->middleware('auth');

//Route SubCategory
Route::get('/SubCategory/datatable/{id}', 'SubCategoryController@datatable')->middleware('auth');
Route::patch('/SubCategory/json', 'SubCategoryController@getItemJson')->middleware('auth');
Route::get('/SubCategory/jsonSelect', 'SubCategoryController@getItemJsonSelect2')->middleware('auth');

//Route Optic
Route::get('/Optic/datatable', 'OpticController@datatable')->middleware('auth');
Route::patch('/Optic/json', 'OpticController@getOpticJson')->middleware('auth');

//Route Item
Route::get('/Item/datatable', 'ItemController@datatable')->middleware('auth');
Route::patch('/Item/json', 'ItemController@getItemJson')->middleware('auth');
Route::patch('/Item/jsonitemWithStock', 'ItemController@getItemWithStockJson')->middleware('auth');
Route::get('/Item/jsonSelect', 'ItemController@getItemJsonSelect2')->middleware('auth');

//Route Order
Route::get('/Order/datatable', 'SalesController@datatable')->middleware('auth');
Route::get('/Order/view/{id}', 'SalesController@view')->middleware('auth');
Route::get('/Order/edit/{id}', 'SalesController@edit')->middleware('auth');
Route::get('/Order/retur/{id}', 'SalesController@retur')->middleware('auth');
Route::post('/Order/retur/{id}', 'SalesController@prosesRetur')->middleware('auth');

Route::post('/Order/editSales/{id}', 'SalesController@updateSales')->middleware('auth');


Route::get('/Category/SubCategory/{id}', 'CategoryController@ajax_subcategory')->middleware('auth');
Route::get('/ItemStock/datatable', 'ItemStockController@datatable')->middleware('auth');
Route::get('/Print/{id}', 'PrintController@index')->middleware('auth');
Route::get('/Print/{id}/{id_payment}', 'PrintController@payment')->middleware('auth');
Route::get('/Print/ReturDistributor/{id}', 'PrintController@ReturDistributor')->middleware('auth');


Route::resource('User', 'UserController')->middleware('auth');
Route::resource('Category', 'CategoryController')->middleware('auth');
Route::resource('SubCategory', 'SubCategoryController')->middleware('auth');
Route::resource('Optic', 'OpticController')->middleware('auth');
Route::resource('Item', 'ItemController')->middleware('auth');
//Route::resource('Payment', 'PaymentController')->middleware('auth');
Route::get('Payment/{id}', ["as" => "Payment.index", "uses" => "PaymentController@index"])->middleware('auth');
Route::get('Payment/{id}/datatable', 'PaymentController@datatable')->middleware('auth');
Route::get('Payment/{id}/create', 'PaymentController@create')->middleware('auth');
Route::post('Payment', 'PaymentController@store')->middleware('auth');

Route::resource('Stock', 'ItemStockController')->middleware('auth');
Route::resource('Order', 'SalesController')->middleware('auth');

Route::get('/home', 'HomeController@index')->name('home')->middleware('auth');


Route::get('/Item/test', 'ItemController@test')->middleware('auth');

Route::get('/Stock/updateItemStock/{id}', 'ItemStockController@newStock')->middleware('auth');
Route::get('/Stock/detail/{id}', 'ItemStockController@detailStock')->middleware('auth');
Route::get('/receiveItemStock', 'ItemStockController@receiveStock')->middleware('auth');
Route::get('/Stock/create', 'ItemStockController@receiveStock')->middleware('auth');


Route::get('/Stock/newItemStock/{id}', 'ItemStockController@newStock')->middleware('auth');
Route::get('/receiveItemStock', 'ItemStockController@receiveStock')->middleware('auth');

// report controller
Route::get('/Report/inventoryDatatable', 'ReportController@inventoryDatatable')->middleware('auth');
Route::get('/Report/inventoryLowDatatable', 'ReportController@inventoryLowDatatable')->middleware('auth');
Route::get('/Report/expiryDatatable', 'ReportController@expiryDatatable')->middleware('auth');
Route::get('/Report/salesDatatable', 'ReportController@salesDatatable');
Route::post('/Report/salesDatatable', 'ReportController@salesDatatable');
Route::get('/Report/stokChartJson', 'ReportController@inventoryChartJSON');
Route::get('/Report/salesChartByItemJSON', 'ReportController@salesChartByItemJSON');
Route::get('/Report/salesChartByRevenueJSON', 'ReportController@salesChartByRevenueJSON');
Route::get('/Report/summaryJson', 'ReportController@summaryJson');


Route::get('/Report/inventory', 'ReportController@inventory')->middleware('auth');
Route::get('/Report/inventoryLow', 'ReportController@inventoryLow')->middleware('auth');
Route::get('/Report/sales', 'ReportController@sales')->middleware('auth');
Route::get('/Report/expiry', 'ReportController@expiry')->middleware('auth');

Route::get('/Retur', 'ReturController@index')->middleware('auth');
Route::get('/Retur/Client', 'ReturController@indexClient')->middleware('auth');
Route::get('/Retur/Client/datatable', 'ReturController@datatableClient')->middleware('auth');
Route::get('/Retur/Client/{id}', 'ReturController@viewClient')->middleware('auth');
Route::delete('/Retur/Client/delete/{id}', 'ReturController@destroyClient')->middleware('auth');

Route::get('/Retur/datatable', 'ReturController@datatable')->middleware('auth');
Route::get('/ReturDistributor/create', 'ReturController@createDistributor')->middleware('auth');
Route::post('/ReturDistributor/create', 'ReturController@storeDistributor')->middleware('auth');
Route::get('/ReturDistributor/view/{id}', 'ReturController@viewDistributor')->middleware('auth');
Route::get('/ReturDistributor/edit/{id}', 'ReturController@editDistributor')->middleware('auth');
Route::post('/ReturDistributor/edit/{id}', 'ReturController@updateDistributor')->middleware('auth');
Route::delete('/ReturDistributor/delete/{id}', 'ReturController@destroyDistributor')->middleware('auth');

Route::get('/Report/receivings', 'ReportController@receivings')->middleware('auth');



Route::get('/OpticList/datatable', 'BillingController@datatable')->middleware('auth');
Route::resource('Billing', 'BillingController')->middleware('auth');
Route::patch('/billing/json', 'BillingController@getOpticJson')->middleware('auth');

optic-distribution-system2/app/Payment.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Payment extends Model
{
  protected $primaryKey = 'id';
  protected $table = 'sales_payment';

  public function getMetodePembayaranAttribute()
  {
      if($this->metode == 1){
        return "Cash";
      }else {
        return "Transfer";
      }
  }
}

optic-distribution-system2/app/Sale.php
<?php

namespace App;


use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Sale extends Model
{
use SoftDeletes;
  public function optic(){
      return $this->belongsTo('App\Optic','optic_id','id');
    }

    public function items()
    {
        return $this->belongsToMany('App\Item', 'sales_items',
          'sale_id', 'item_id')->withPivot('jumlah', 'harga_jual','diskon');
    }

    public function getStaffNameAttribute(){
      $user = User::find($this->user_id)->first();

      return $user;
    }

    public function getTotalTerbayarAttribute(){
      $retVal = Payment::where('sale_id','=',$this->id)->sum('jumlah');
      return $retVal;
    }

    public function getIdStringAttribute()
    {
        $temp = "".$this->id;
        $retVal = "";
        for($i=0;$i<(12 - strlen($temp));$i++){
          $retVal = $retVal."0";
        }
        $retVal = $retVal."". $temp;

        return $retVal;
    }

    public function getJenisStringAttribute()
    {
        if($this->jenis_pembayaran == "1"){
          return "Sekali Bayar";
        }else {
          return "Bertahap";
        }
    }

    public function getStatusPembayaranAttribute(){
      $terbayar = $this->getTotalTerbayarAttribute();

      if($terbayar!=$this->total)
        return "Pending";
      else
        return "Lunas";
    }

    protected $dates = ['deleted_at'];
}

optic-distribution-system2/resources/views/printTheme/billing.blade.php
<style>
  div{
    margin:0px;
    padding:0px;
  }
  h1{
    margin:0px;
    padding:0px;
  }
  h6{
    margin:0px;
    padding:0px;
  }
  @page {
            margin-top: 15px;
            margin-left: 25px;
        }
    .viewPO{
        width:100%;
        font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    }
    .copPO{
        line-height: 1;
        text-align: center;
        margin-bottom: 20px;
    }
    .copPO p{
        text-align: center;
        line-height: 0.5;
        font-size: 10px;
    }
    .textCenter{
        text-align: center;
    }
    .textRight{
        text-align: right;
    }
    .ketPO{
        border: none;
        line-height: 2;
        margin-bottom: 10px;
        font-size: 12px;
    }
    .itemPO{
        width: 100%;
        font-size: 11px;
        margin-bottom: 10px;
    }
    table.itemPO, table.itemPO th, table.itemPO td{
         border-collapse:collapse;
      border-bottom: 1pt solid black;
    }
    table.itemPO th, table.itemPO td{
        padding: 5px;

    }

    .itemBilling{
        width: 100%;
        font-size: 11px;
        margin-bottom: 10px;
    }

    table.itemBilling, table.itemBilling th, table.itemBilling td{
      border-collapse:collapse;
      border-bottom: 1pt solid black;
    }
    table.itemBilling th, table.itemBilling td{
        padding: 5px;
    }

    .note{
        font-size: 8px;
        width: 60%;
        margin-bottom: 20px;
    }
    table.footer{
        width: 100%;
        border: 1px solid black;
        border-collapse: collapse;
    }
    .auth{
        width: 90%;
        margin-left: 10%;
        font-size: 12px;
    }
</style>

<div class="viewPO">


    <div style="height:70px;width:100%">
      <div style="float:left">
        <h1 >TANDA TERIMA TAGIHAN</h1>
        <p style="font-size:8px;margin:0px">PERIODE : <?php echo date("F Y") ?></p>
      </div>
      <div style="float:right">
        <h6 style="margin-bottom:0px;">SOG</h6>
        <p style="font-size:8px;margin:0px">Jalan Mugas Barat VII / 17A, Semarang 50243</p>
        <p style="font-size:8px;margin:0px">Phone:(024)844 1611, Fax:(024)831 9499</p>
        <p style="font-size:8px;margin:0px">sp-semarang@hoyalens.co.id</p>
      </div>
    </div>


    

    <table class="itemBilling" frame="border">
      <tr>
        <td>CUSTOMER</td>
        <td>:</td>
        <td><b>{{$optic->nama}}</b></td>
        
        <td>&nbsp;</td>

        <td>CT</td>
        <td>:</td>
        <td>{{$ct}}</td>
      </tr>

      <tr>
        <td>ADDRESS</td>
        <td>:</td>
        <td>{{$optic->alamat}}</td>
        
        <td>&nbsp;</td>

        <td>Jatuh Tempo</td>
        <td>:</td>
        <td>{{$jatuh_tempo}}</td>
      </tr>
    </table>

    

    <table class="itemPO" frame="border">
        <tr>
            <th style="text-align: center;">No</th>
            <th style="text-align: center;">NO. INVOICE</th>
            <th style="text-align: center;">TGL. INVOICE</th>
            <th style="text-align: center;" colspan="2" class="text-center">JUMLAH</th>
        </tr>
        
        @foreach($billingList as $billing)  
        <tr>
            <td style="text-align: center;">{{$billing['no']}}</td>
            <td style="text-align: center;">{{$billing['invoiceID']}}</td>
            <td style="text-align: center;">{{$billing['tanggal']}}</td>
            <td style="text-align: center;">Rp.</td>
            <td style="text-align: right;">{{number_format($billing['total'],2,".",".")}}</td>
        </tr>
        @endforeach

        <!-- footer -->

        <tr>
          <td style="text-align: center;"><b>TOTAL</b></td>
          <td colspan="2"></td>
          <td style="text-align: center;">Rp.</td>
          <td style="text-align: right;">{{number_format($total_billing,2,".",".")}}</td>
        </tr>

        <tr>
          <td>BIAYA FACET</td>
          <td colspan="2"></td>
          <td style="text-align: center;">Rp.</td>
          <td style="text-align: right;">{{number_format($facet,2,".",".")}}</td>
        </tr>

        <tr>
          <td>BIAYA TINTING</td>
          <td colspan="2"></td>
          <td style="text-align: center;">Rp.</td>
          <td style="text-align: right;">{{number_format($tinting,2,".",".")}}</td>
        </tr>

        <tr>
          <td>BIAYA KIRIM</td>
          <td colspan="2"></td>
          <td style="text-align: center;">Rp.</td>
          <td style="text-align: right;">{{number_format($kirim,2,".",".")}}</td>
        </tr>

        <tr>
          <td>BIAYA LAIN-LAIN</td>
          <td colspan="2"></td>
          <td style="text-align: center;">Rp.</td>
          <td style="text-align: right;">{{number_format($lain,2,".",".")}}</td>
        </tr>

        <tr>
          <td><b>JUMLAH YANG HARUS DIBAYAR</b></td>
          <td colspan="2"></td>
          <td style="text-align: center;">Rp.</td>
          <td style="text-align: right;"><b>{{number_format($total_billing+$facet+$tinting+$kirim+$lain,2,".",".")}}</b></td>
        </tr>
        <tr>
          <td colspan="5" style="text-align: center;">
            <p>Mohon Pembayaran ditransfer ke : </p>
            <p><b>BCA<br/> KCU KUDUS<br/> A/C. 031 9650 671 <br /> A/N. NUR ELIZA RAHMANIA </b>
          </p>

          </td>
        </tr>

    </table>
    


</div>

optic-distribution-system2/resources/views/printTheme/invoice.blade.php
<style>
  div{
    margin:0px;
    padding:0px;
  }
  h1{
    margin:0px;
    padding:0px;
  }
  h6{
    margin:0px;
    padding:0px;
  }
  @page {
            margin-top: 15px;
            margin-left: 25px;
        }
    .viewPO{
        width:100%;
        font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    }
    .copPO{
        line-height: 1;
        text-align: center;
        margin-bottom: 20px;
    }
    .copPO p{
        text-align: center;
        line-height: 0.5;
        font-size: 10px;
    }
    .textCenter{
        text-align: center;
    }
    .textRight{
        text-align: right;
    }
    .ketPO{
        border: none;
        line-height: 2;
        margin-bottom: 10px;
        font-size: 12px;
    }
    .itemPO{
        width: 100%;
        font-size: 11px;
        margin-bottom: 10px;
    }
    table.itemPO, table.itemPO th, table.itemPO td{
        border:1px solid black;
        border-collapse: collapse;
    }
    table.itemPO th, table.itemPO td{
        padding: 5px;
    }
    .note{
        font-size: 8px;
        width: 60%;
        margin-bottom: 20px;
    }
    table.footer{
        width: 100%;
        border: 1px solid black;
        border-collapse: collapse;
    }
    .auth{
        width: 90%;
        margin-left: 10%;
        font-size: 12px;
    }
</style>

<div class="viewPO">


    <div style="height:70px;width:100%">
      <div style="float:left">
        <h1 >INVOICE</h1>
      </div>
      <div style="float:right">
        <h6 style="margin-bottom:0px;">SOG</h6>
        <p style="font-size:8px;margin:0px">Jalan Mugas Barat VII / 17A, Semarang 50243</p>
        <p style="font-size:8px;margin:0px">Phone:(024)844 1611, Fax:(024)831 9499</p>
        <p style="font-size:8px;margin:0px">sp-semarang@hoyalens.co.id</p>
      </div>
    </div>


    <div style="height:18px">
      <div style="width:120px;font-size:11px;margin:0px;margin-right:5px;float:left">
        Invoice Number
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        : {{$sale->id_string}}
      </div>

      <div style="width:120px;font-size:11px;margin:0px;margin-right;margin-left:50px;5px;float:left">
        Client
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        :{{$sale->optic->nama}}
      </div>

    </div>
    <div style="height:18px">
      <div style="width:120px;font-size:11px;margin:0px;margin-right:5px;float:left">
        Date
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        : {{$sale->created_at}}
      </div>


      <div style="width:120px;font-size:11px;margin:0px;margin-right;margin-left:50px;5px;float:left">
        Address
      </div>
      <div style="width:500px;font-size:11px;margin:0px;float:left">
        :{{$sale->optic->alamat}}
      </div>
    </div>

    <div style="height:18px">
      <div style="width:120px;font-size:11px;margin:0px;margin-right:5px;float:left">
        Trans Type
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        : Sales
      </div>
    </div>

    <div style="height:18px">
      <div style="width:120px;font-size:11px;margin:0px;margin-right:5px;float:left">
        Credit Term
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        <?php
        ?>
        : {{$sale->jatuh_tempo}}
      </div>
    </div>

    <table class="itemPO">
        <tr>
            <th style="width:10px">No</th>
            <th>Description</th>
            <th>Pcs</th>
            <th>Unit Price</th>
            <th>Discount</th>
            <th>Amount</th>
        </tr>
          <?php   $i=1; ?>
          
          @foreach ($items as $item)

          <?php
            $diskon = $item->pivot->jumlah * $item->pivot->harga_jual * $item->pivot->diskon / 100;
            $total  = $item->pivot->jumlah * $item->pivot->harga_jual;
            $total  = $total - $diskon;
          ?>
          <tr>
            <td>{{$i}}</td>
            <td>{{$item->subCategory->category->nama}} - {{$item->nama}} <br>{{$item->subCategory->nama}} </td>
            <td>{{$item->pivot->jumlah}}</td>
            <td class="textRight">{{number_format($item->pivot->harga_jual,2,",",".")}}</td>
            <td class="textRight">{{$item->pivot->diskon}}%
            <br>
              {{number_format($diskon,2,",",".")}}
            </td>


            <td class="textRight">{{number_format($total,2,",",".")}}</td>
          </tr>
          <?php   $i++; ?>
          @endforeach
        <tr>

            <td colspan="3" class="textLeft">{{$sale->keterangan}}</td>
            <td colspan="2" class="textRight">GRAND TOTAL</td>
            <td class="textRight">{{number_format($sale->total,2,",",".")}}</td>
        </tr>

    </table>
    <table style="margin-bottom:0px;float:right" class="ketPO">
        <tr>
            <td style="width:500px"> </td>
            <td style="width:120px">Receive By</td>
        </tr>
        <tr>
            <td style="width:500px"> </td>
            <td style="width:120px"><br>
              (
              @for ($i = 0; $i < 20; $i++)
                  &nbsp;
              @endfor
              )</td>
        </tr>

    </table>


</div>

optic-distribution-system2/resources/views/printTheme/payment.blade.php
<style>
  div{
    margin:0px;
    padding:0px;
  }
  h1{
    margin:0px;
    padding:0px;
  }
  h6{
    margin:0px;
    padding:0px;
  }
  @page {
            margin-top: 15px;
            margin-left: 25px;
        }
    .viewPO{
        width:100%;
        font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    }
    .copPO{
        line-height: 1;
        text-align: center;
        margin-bottom: 20px;
    }
    .copPO p{
        text-align: center;
        line-height: 0.5;
        font-size: 10px;
    }
    .textCenter{
        text-align: center;
    }
    .textRight{
        text-align: right;
    }
    .ketPO{
        border: none;
        line-height: 2;
        margin-bottom: 10px;
        font-size: 12px;
    }
    .itemPO{
        width: 100%;
        font-size: 11px;
        margin-bottom: 10px;
    }
    table.itemPO, table.itemPO th, table.itemPO td{
        border:1px solid black;
        border-collapse: collapse;
    }
    table.itemPO th, table.itemPO td{
        padding: 5px;
    }
    .note{
        font-size: 8px;
        width: 60%;
        margin-bottom: 20px;
    }
    table.footer{
        width: 100%;
        border: 1px solid black;
        border-collapse: collapse;
    }
    .auth{
        width: 90%;
        margin-left: 10%;
        font-size: 12px;
    }
</style>

<div class="viewPO">


    <div style="height:70px;width:100%">
      <div style="float:left">
        <h1 >PAYMENT</h1>
      </div>
      <div style="float:right">
        <h6 style="margin-bottom:0px;">Optic Gajah Mada</h6>
        <p style="font-size:8px;margin:0px">Jalan Mugas Barat VII / 17A, Semarang 50243</p>
        <p style="font-size:8px;margin:0px">Phone:(024)844 1611, Fax:(024)831 9499</p>
        <p style="font-size:8px;margin:0px">sp-semarang@hoyalens.co.id</p>
      </div>
    </div>


    <div style="height:18px">
      <div style="width:120px;font-size:11px;margin:0px;margin-right:5px;float:left">
        Invoice Number
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        : {{$sale->id_string}}
      </div>

      <div style="width:120px;font-size:11px;margin:0px;margin-right;margin-left:50px;5px;float:left">
        Client
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        :{{$sale->optic->nama}}
      </div>

    </div>
    <div style="height:18px">
      <div style="width:120px;font-size:11px;margin:0px;margin-right:5px;float:left">
        Date
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        : {{$payment->created_at}}
      </div>
      <div style="width:120px;font-size:11px;margin:0px;margin-right;margin-left:50px;5px;float:left">
        Address
      </div>
      <div style="width:500px;font-size:11px;margin:0px;float:left">
        :{{$sale->optic->alamat}}
      </div>
    </div>

    <div style="height:18px">
      <div style="width:120px;font-size:11px;margin:0px;margin-right:5px;float:left">
        Trans Type
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        : Payment
      </div>
    </div>

    <div style="height:18px">
      <div style="width:120px;font-size:11px;margin:0px;margin-right:5px;float:left">
        Credit Term
      </div>
      <div style="width:120px;font-size:11px;margin:0px;float:left">
        <?php
        ?>
        : {{$sale->jatuh_tempo}}
      </div>
    </div>

    <table class="itemPO">
        <tr>
            <th style="width:10px">No</th>
            <th>Method of payment</th>
            <th>Amount</th>
        </tr>

        <tr>
          <td>1</td>
          <td>{{$payment->metode_pembayaran}}</td>
          <td>{{$payment->jumlah}}</td>
        </tr>
        <tr>
            <td colspan="2" class="textRight">GRAND TOTAL</td>
            <td class="textRight">{{$payment->jumlah}}</td>
        </tr>

    </table>
    <table style="margin-bottom:0px;float:right" class="ketPO">
        <tr>
            <td style="width:500px"> </td>
            <td style="width:120px">Receive By</td>
        </tr>
        <tr>
            <td style="width:500px"> </td>
            <td style="width:120px"><br>
              (
              @for ($i = 0; $i < 20; $i++)
                  &nbsp;
              @endfor
              )</td>
        </tr>

    </table>


</div>